---
- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:    '&IDC_BuildResponseMethodBinding;'
    name:      Build Response Method Binding
    index:     84
    customTagName: buildResponseMethodBinding
    registerForTemplate: yes
    superclasses:
    - instance: '&IDC_MethodBinding;'
    # - instance: '&IDC_ExecutableBuildingResponse;'
    instancesLabeledByRAMB: '&IDMB_Method_Binding__get__Executes_Method_and_Method_Type_BRMB;'
    defaultTask: '&IDI_Task_ViewBuildResponseMethodBinding;'
    relatedTasks:
    - instance: '&IDI_Task_ViewBuildResponseMethodBinding;'
    - instance: '&IDI_Task_EditBuildResponseMethodBinding;'
    # - instance: '&IDI_Task_TestMethodBinding;'
    # - instance: '&IDI_Task_CloneMethodBinding;'
    translations:
    - relationship: '&IDR_Class__has_title__Translation;'
      values:
      - languageInstanceId: '&IDI_Language_English;'
        value: 'Build Response Method Binding'
    relationships: # FIXME: remove this when we can properly inherit definitions in zq-python
    - instance: '&IDR_Method_Binding__executes__Method;'
      customTagName: 'executesMethod'
    - instance: '&IDR_Method_Binding__has__Parameter_Assignment;'
      customTagName: 'parameterAssignments'
      customTagNameCreatesInstanceOf: '&IDC_ParameterAssignment;'

    - instance: '&IDR_Condition_Group__has_true_condition__Executable_returning_Work_Data;'
      customTagName: trueConditions
    - instance: '&IDR_Condition_Group__has_false_condition__Executable_returning_Work_Data;'
      customTagName: falseConditions
